Opened 11 years ago

Last modified 5 years ago

#3429 closed Bug report

"Do you want to overwrite" when transferring lot of files

Reported by: kuikkaj Owned by:
Priority: normal Component: Other
Keywords: Cc: kuikkaj, sacah, Tim Kosse
Component version: Operating system type:
Operating system version:

Description

Filezilla 3.0.7.1 on Windows XP Pro SP2.
Using FTP with Ubuntu 7.10 ftp server from package "ftpd". Version 0.17-25.

Server identifies itself as:
Version 6.5/OpenBSD/Linux-ftpd-0.17

Use case:
Transferring about 28000 files and directories from windows pc to linux server. There are about 10GB of files sized 1k-100k and 40GB of 5-20MB.

Total size of transfer about 50GB. Transfer was over 1Gbit local ethernet.

Destination directory was empty when transfer was started. Transfer was initiated by drag'n'dropping source directories into the target directory in FileZilla main window. This was done twice with different source directories.

Using binary mode for all files (forced) and 10 simultaneous transfers.

Problem:

For four times during the transfer I got the "File exists - Do you want to overwrite file" -dialog. In two cases it reported the source and destination files to be of the same size and in two cases the destination file was smaller, as if a previous transfer had aborted for some reason.

This is a problem because the destination directory was empty when transfer was started.

After transfer there was nothing in "Queued transfers" or "Failed transfers" -tabs in Filezilla.

I tried getting the verbose message log from retry of the transfer but I cannot find a way to redirect the log into a file and the message field is nowhere near long enough.

Change History (4)

comment:1 Changed 11 years ago by sacah

I have also had this problem, I have turned on Debug messaging now but it has not done it again yet.
This problem would also occur when I edited a File Remotely, when I saved it would ask the usual 'Do you want to Overwrite', I say Yes, it overwrites, then it pop's up again 'Do you want to Overwrite', and this keeps on popping up until I cancel it, the file is completely uploaded with changes each time.

comment:2 Changed 11 years ago by sacah

Happened again, I got a log this time.
I copied this just after the 'Do you want to overwrite' happened 3 times then canceled itself because of a connection error.
Filezilla 3.0.8.1
Windows Vista Home Basic

Status: Resolving IP-Address for ftp.*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1b04f00) m_pEngine=0p179db98 caller=0p1b32140
Status: Connecting to .*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@
*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@
*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS
*
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@
*.com.au logged in.
Trace: CFtpControlSocket::SendNextCommand()
Command: SYST
Trace: CFtpControlSocket::OnReceive()
Response: 215 UNIX Type: L8
Trace: CFtpControlSocket::SendNextCommand()
Command: FEAT
Trace: CFtpControlSocket::OnReceive()
Response: 211-Features:
Response: MDTM
Response: REST STREAM
Response: SIZE
Response: 211 End
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,215,44).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Listing: drwxr-xr-x 3 vm vm 4096 Oct 30 02:46 adm
Listing: drwxr-xr-x 2 vm vm 4096 Oct 30 02:46 css
Listing: drwxrwx--- 4 apache vm 4096 Oct 30 02:46 files
Listing: drwxrwxr-x 7 vm apache 4096 Mar 11 06:47 images
Listing: -rw-r--r-- 1 vm vm 11844 Mar 18 05:44 index.php
Listing: drwxrwxrwx 6 vm apache 4096 Aug 22 2007 pages
Listing: -rw-r--r-- 1 vm vm 269 Feb 26 06:07 shop.php
Listing: drwxr-xr-x 4 vm vm 4096 Oct 30 02:45 webalizer
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ListSend()
Trace: state = 3
Status: Calculating timezone offset of server...
Command: MDTM index.php
Trace: CFtpControlSocket::OnReceive()
Response: 213 20080318054454
Trace: CFtpControlSocket::ListParseResponse()
Status: Timezone offsets: Server: 0 seconds. Local: 36000 seconds. Difference: 36000 seconds.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD pages
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (,*,*,*,217,84).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Listing: -rw-r--r-- 1 vm apache 8593 Jan 30 2006 _page.php
Listing: -rw-r--r-- 1 vm apache 5784 May 31 2006 _shop.php
Listing: -rw-r--r-- 1 vm apache 1430 Nov 24 2006 cmsform.php
Listing: -rw-r--r-- 1 vm apache 8734 Feb 26 05:10 email_this_page.php
Listing: drwxr-xr-x 2 vm apache 4096 Nov 8 2006 javascript
Listing: drwxr-xr-x 2 vm apache 4096 Dec 2 2005 modules
Listing: -rw-r--r-- 1 vm apache 48 Aug 9 2007 my-account.php
Listing: -rw-r--r-- 1 vm apache 10674 Mar 19 23:50 page.php
Listing: -rw-r--r-- 1 vm apache 1193 Jan 25 03:00 print.php
Listing: -rw-r--r-- 1 vm apache 8649 Nov 21 2006 print_order.php
Listing: drwxr-xr-x 2 vm apache 4096 Dec 15 2006 scripts
Listing: -rw-r--r-- 1 vm apache 7755 Mar 18 05:46 shop.php
Listing: -rw-r--r-- 1 vm apache 1589 Aug 10 2007 shop_print.php
Listing: -rw-r--r-- 1 vm apache 47 Aug 22 2007 subscribe.php
Listing: drwxr-xr-x 2 vm apache 4096 Dec 1 2005 templates
Listing: -rw-r--r-- 1 vm apache 1186 Aug 9 2007 view_image.php
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 2
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD modules
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages/modules" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,216,8).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Listing: -rw-r--r-- 1 vm apache 63826 Jan 23 01:41 local_mod.php
Listing: -rw-r--r-- 1 vm apache 12295 Dec 13 2006 mod_beat_this_cleaning.php
Listing: -rw-r--r-- 1 vm apache 12207 Dec 13 2006 mod_beat_this_general.php
Listing: -rw-r--r-- 1 vm apache 1957 Nov 21 2006 mod_easyrent.php
Listing: -rw-r--r-- 1 vm apache 10157 Aug 9 2007 mod_my_account.php
Listing: -rw-r--r-- 1 vm apache 5584 Nov 21 2006 mod_myfavourites.php
Listing: -rw-r--r-- 1 vm apache 5252 Aug 9 2007 mod_passwdrecovery.php
Listing: -rw-r--r-- 1 vm apache 5033 Aug 9 2007 mod_postcode_search.php
Listing: -rw-r--r-- 1 vm apache 6945 Nov 24 2006 mod_quote.php
Listing: -rw-r--r-- 1 vm apache 441 Nov 21 2006 mod_sitemap.php
Listing: -rw-r--r-- 1 vm apache 7697 Aug 22 2007 mod_subscribe.php
Listing: -rw-r--r-- 1 vm apache 9580 Nov 21 2006 mod_updateaccount.php
Listing: -rw-r--r-- 1 vm apache 5120 Aug 9 2007 mod_vieworders.php
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 2
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Status: Resolving IP-Address for ftp.*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1af4738) m_pEngine=0p1b104a0 caller=0p1b5b7c0
Status: Connecting to .*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@
*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@
*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS
*
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@
*.com.au logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::FileTransfer()
Status: Starting download of /var/www/html/pages/modules/local_mod.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/pages/modules/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages/modules" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE A
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to A
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,217,188).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: RETR local_mod.php
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for local_mod.php (63826 bytes)
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: File transfer successful
Status: Sending keep-alive command
Command: NOOP
Trace: CFtpControlSocket::OnReceive()
Response: 200 NOOP command successful
Trace: Skipping reply after cancelled operation or keepalive command.
Status: Sending keep-alive command
Command: NOOP
Trace: CFtpControlSocket::OnReceive()
Response: 200 NOOP command successful
Trace: Skipping reply after cancelled operation or keepalive command.
Status: Disconnected from server
Trace: CFtpControlSocket::ResetOperation(66)
Trace: CControlSocket::ResetOperation(66)
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CDUP
Trace: CFtpControlSocket::OnReceive()
Response: 250 CDUP command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Status: Resolving IP-Address for ftp.*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1af48b8) m_pEngine=0p1b104a0 caller=0p1b5b7c0
Status: Connecting to .*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@
*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@
*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS
*
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@
*.com.au logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::FileTransfer()
Status: Starting download of /var/www/html/pages/page.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/pages/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE A
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to A
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,216,240).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: RETR page.php
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for page.php (10674 bytes)
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: File transfer successful
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CDUP
Trace: CFtpControlSocket::OnReceive()
Response: 250 CDUP command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Directory listing successful
Trace: CFtpControlSocket::FileTransfer()
Status: Starting download of /var/www/html/index.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (,*,*,*,215,192).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: RETR index.php
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for index.php (11844 bytes)
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnReceive(), m_transferMode=2
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: File transfer successful
Status: Sending keep-alive command
Command: NOOP
Trace: CFtpControlSocket::OnReceive()
Response: 200 NOOP command successful
Trace: Skipping reply after cancelled operation or keepalive command.
Status: Sending keep-alive command
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: Skipping reply after cancelled operation or keepalive command.
Status: Disconnected from server
Trace: CFtpControlSocket::ResetOperation(66)
Trace: CControlSocket::ResetOperation(66)
Status: Sending keep-alive command
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: Skipping reply after cancelled operation or keepalive command.
Status: Resolving IP-Address for ftp.
*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1af4e38) m_pEngine=0p1b104a0 caller=0p1b5b7c0
Status: Connecting to
.*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS *
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@*.com.au logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::FileTransfer()
Status: Starting upload of C:\Users\User\AppData\Local\Temp\fz3temp-1\local_mod.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/pages/modules/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages/modules" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE A
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to A
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (,*,*,*,218,172).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: STOR local_mod.php
Trace: CTransferSocket::OnConnect
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for local_mod.php
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 6
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 7
Error: Connection timed out
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Status: Resolving IP-Address for ftp.
*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1af27f8) m_pEngine=0p1b104a0 caller=0p1b5b7c0
Status: Connecting to
.*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS *
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@*.com.au logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::FileTransfer()
Status: Starting upload of C:\Users\User\AppData\Local\Temp\fz3temp-1\local_mod.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/pages/modules/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages/modules" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Status: Retrieving directory listing...
Trace: ftpcontrolsocket.cpp(1228): List called from other command caller=0p1b5b7c0
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (,*,*,*,218,43).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Listing: -rw-r--r-- 1 vm apache 63856 Mar 20 00:43 local_mod.php
Listing: -rw-r--r-- 1 vm apache 12295 Dec 13 2006 mod_beat_this_cleaning.php
Listing: -rw-r--r-- 1 vm apache 12207 Dec 13 2006 mod_beat_this_general.php
Listing: -rw-r--r-- 1 vm apache 1957 Nov 21 2006 mod_easyrent.php
Listing: -rw-r--r-- 1 vm apache 10157 Aug 9 2007 mod_my_account.php
Listing: -rw-r--r-- 1 vm apache 5584 Nov 21 2006 mod_myfavourites.php
Listing: -rw-r--r-- 1 vm apache 5252 Aug 9 2007 mod_passwdrecovery.php
Listing: -rw-r--r-- 1 vm apache 5033 Aug 9 2007 mod_postcode_search.php
Listing: -rw-r--r-- 1 vm apache 6945 Nov 24 2006 mod_quote.php
Listing: -rw-r--r-- 1 vm apache 441 Nov 21 2006 mod_sitemap.php
Listing: -rw-r--r-- 1 vm apache 7697 Aug 22 2007 mod_subscribe.php
Listing: -rw-r--r-- 1 vm apache 9580 Nov 21 2006 mod_updateaccount.php
Listing: -rw-r--r-- 1 vm apache 5120 Aug 9 2007 mod_vieworders.php
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 2
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Status: Sending keep-alive command
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: Skipping reply after cancelled operation or keepalive command.
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE A
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to A
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,218,180).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: STOR local_mod.php
Trace: CTransferSocket::OnConnect
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for local_mod.php
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 6
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 7
Error: Connection timed out
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Status: Resolving IP-Address for ftp.*.com.au
Trace: ControlSocket.cpp(979): CRealControlSocket::ContinueConnect(0p1af4138) m_pEngine=0p1b104a0 caller=0p1b5b7c0
Status: Connecting to .*.*.*:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 ProFTPD FTP Server ready.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER vm@
*.com.au
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for vm@
*.com.au.
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS
*
Trace: CFtpControlSocket::OnReceive()
Response: 230 User vm@
*.com.au logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::FileTransfer()
Status: Starting upload of C:\Users\User\AppData\Local\Temp\fz3temp-1\local_mod.php
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /var/www/html/pages/modules/
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html/pages/modules" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Status: Retrieving directory listing...
Trace: ftpcontrolsocket.cpp(1228): List called from other command caller=0p1b5b7c0
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (
,*,*,*,217,251).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Listing: -rw-r--r-- 1 vm apache 11146 Mar 20 00:44 local_mod.php
Listing: -rw-r--r-- 1 vm apache 12295 Dec 13 2006 mod_beat_this_cleaning.php
Listing: -rw-r--r-- 1 vm apache 12207 Dec 13 2006 mod_beat_this_general.php
Listing: -rw-r--r-- 1 vm apache 1957 Nov 21 2006 mod_easyrent.php
Listing: -rw-r--r-- 1 vm apache 10157 Aug 9 2007 mod_my_account.php
Listing: -rw-r--r-- 1 vm apache 5584 Nov 21 2006 mod_myfavourites.php
Listing: -rw-r--r-- 1 vm apache 5252 Aug 9 2007 mod_passwdrecovery.php
Listing: -rw-r--r-- 1 vm apache 5033 Aug 9 2007 mod_postcode_search.php
Listing: -rw-r--r-- 1 vm apache 6945 Nov 24 2006 mod_quote.php
Listing: -rw-r--r-- 1 vm apache 441 Nov 21 2006 mod_sitemap.php
Listing: -rw-r--r-- 1 vm apache 7697 Aug 22 2007 mod_subscribe.php
Listing: -rw-r--r-- 1 vm apache 9580 Nov 21 2006 mod_updateaccount.php
Listing: -rw-r--r-- 1 vm apache 5120 Aug 9 2007 mod_vieworders.php
Trace: CTransferSocket::OnClose
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete.
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: state = 2
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: FileTransferSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: FileTransferSend()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 1
Command: TYPE A
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to A
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (,*,*,*,218,118).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 4
Command: STOR local_mod.php
Trace: CTransferSocket::OnConnect
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd()
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for local_mod.php
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 6
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Trace: state = 7
Status: Sending keep-alive command
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/var/www/html" is current directory.
Trace: Skipping reply after cancelled operation or keepalive command.
Error: Connection timed out
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)

comment:3 Changed 11 years ago by Tim Kosse

I've made some changes to the resume behavior. Please try the upcoming 2008-03-24 nightly from http://filezilla-project.org/nightly.php

It will now resume automatically as long as there has been made at least some progress during the transfer of a particular file.

comment:4 Changed 11 years ago by sf-robot

This Tracker item was closed automatically by the system. It was
previously set to a Pending status, and the original submitter
did not respond within 14 days (the time period specified by
the administrator of this Tracker).

Note: See TracTickets for help on using tickets.